=== debian/changelog ===
ncbi-vdb (2.11.2+dfsg-6) unstable; urgency=medium

  * Source-only reupload for testing migration.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 01 Sep 2022 21:33:23 -0400

ncbi-vdb (2.11.2+dfsg-5) unstable; urgency=medium

  * .gitignore: Also ignore libs/jni/jni(_md).h.
  * debian/.gitignore (new): Ignore generated files and subtrees.
  * debian/control:
    - Clean up descriptions.  In particular, use a modern synopsis cribbed
      from vdb3/README.md as a first paragraph across the board.
    - Note that all packages already qualify as Multi-Arch: same.
    - Introduce ncbi-vdb-data (M-A: foreign) and have libncbi-(w)vdb2
      depend on it.
  * debian/copyright:
    - Resync details with tarball contents.
    - Stop claiming Upstream-Name: ngs.
  * debian/ncbi-vdb-data.install: Rename from libncbi-vdb2.install.  (It
    listed only default configuration files, with d-shlibs taking care
    of the rest.)
  * debian/rules: Move schemata to ncbi-vdb-data, not libncbi-vdb2.
  * Standards-Version: 4.6.1 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Aug 2022 14:26:20 -0400

ncbi-vdb (2.11.2+dfsg-4) unstable; urgency=medium

  * zstd.patch: Adopt dynamic system zstd more fully.
    - Comment out ZSTD_STATIC_LINKING_ONLY to enforce use of stable APIs.
    - Actually link libncbi-(w)vdb and libvdb-sqlite against libzstd.
  * Have libncbi-vdb2 break sra-toolkit (<< 2.11) anyway -- even with zstd
    linkage fixed, sra-toolkit 2.10.x's autopkgtest will still fail over
    dropped support for protected repository configuration.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 22 Nov 2021 22:39:27 -0500

ncbi-vdb (2.11.2+dfsg-3) unstable; urgency=medium

  * Leave mbedtls quirk handling to d-shlibs (>= 0.104).  (Closes: #999788.)
  * Skip VDB3, at least for now -- it FTBFS on i386, and has so far just
    been an uninstalled technology preview.
  * Enable arm64 builds.  To that end:
    - add_-msse2.patch: Limit -msse2 to 32-bit x86.  (Redundant on 64-bit
      x86, invalid elsewhere.)
    - debian/rules: Wildcard upstream architecture name (VDB_ARCH), no
      longer consistently aligned with any single dpkg-architecture variable.
  * debian/watch: Track tags rather than releases, of which GitHub no
    longer lists any(!).

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 20 Nov 2021 23:06:09 -0500

ncbi-vdb (2.11.2+dfsg-2) unstable; urgency=medium

  * Binary package libncbi-vdb-dev Depends: libzstd-dev

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 16:56:26 +0100

ncbi-vdb (2.11.2+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: cmake
  * Use Debian packaged libzstd
  * Fix missing cstdlib include
  * Add more files to debian/not-installed
  * Drop RFCs from package source

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 14:16:45 +0200
